commit: 9ebc222c0d190edf661182cbadd5741b561431aa
Author: Johannes Huber <johu <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 10 14:43:05 2018 +0000
Commit: Johannes Huber <johu <AT> gentoo <DOT> org>
CommitDate: Tue Jul 10 14:44:52 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9ebc222c
x11-themes/greybird: Sync live w/ latest release
Package-Manager: Portage-2.3.41, Repoman-2.3.9
x11-themes/greybird/greybird-9999.ebuild | 17 ++++++++++++++---
1 file changed, 14 insertions(+), 3 deletions(-)
diff --git a/x11-themes/greybird/greybird-9999.ebuild
b/x11-themes/greybird/greybird-9999.ebuild
index ab2fb881592..dd3fbd1ddb7 100644
--- a/x11-themes/greybird/greybird-9999.ebuild
+++ b/x11-themes/greybird/greybird-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -17,12 +17,12 @@ KEYWORDS=""
IUSE="ayatana gnome"
RDEPEND="
+ >=x11-libs/gtk+-3.22:3
>=x11-themes/gtk-engines-murrine-0.90
- >=x11-libs/gtk+-3.20.0:3
"
DEPEND="${RDEPEND}
- dev-ruby/sass
dev-libs/glib:2
+ dev-ruby/sass
"
src_prepare() {
@@ -38,3 +38,14 @@ src_install() {
use gnome || rm -rf metacity-1
popd > /dev/null || die
}
+
+pkg_postinst() {
+ if ! has_version x11-themes/elementary-xfce-icon-theme ; then
+ elog "For upstream's default icon theme, please emerge"
+ elog "x11-themes/elementary-xfce-icon-theme"
+ fi
+ if ! has_version x11-themes/vanilla-dmz-xcursors ; then
+ elog "For upstream's default cursor theme, please emerge"
+ elog "x11-themes/vanilla-dmz-xcursors"
+ fi
+}